<?php
/*-------------------------
Autor: Delmar Lopez
Web: www.softwys.com
Mail: softwysop@gmail.com
---------------------------*/
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
$session_id = session_id();
$sucursal_users = $_SESSION['sucursal_users'];
$id_factura = $_SESSION['id_factura'];
if (isset($_POST['id'])) {
    $id = $_POST['id'];
}
if (isset($_POST['cantidad'])) {
    $cantidad = $_POST['cantidad'];
}
if (isset($_POST['precio'])) {
    $precio = $_POST['precio'];
} else {
    $precio = 0;
}

/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Archivo de funciones PHP
require_once "../funciones.php";

if (!empty($id) and !empty($cantidad)) {
    $numero_factura = get_row('facturas_ordenes', 'numero_factura', 'id_factura', $id_factura);
    if ($precio == 0) {
        $id_producto    = get_row('productos', 'id_producto', 'codigo_producto', $id);
        $precio_venta   = get_row('productos', 'valor1_producto', 'id_producto', $id_producto);
        $id_comp        = get_row('facturas_ventas', 'id_comp_factura', 'id_factura', $id_factura);

        // consulta para comparar el stock con la cantidad resibida
        $query = mysqli_query($conexion, "select stock_producto, inv_producto from productos where id_producto = '$id_producto' and sucursal_id='" . $sucursal_users . "'");
        $rw    = mysqli_fetch_array($query);
        $stock = $rw['stock_producto'];
        $inv   = $rw['inv_producto'];

        //Comprobamos si ya agregamos un producto a la tabla tmp_compra
        $comprobar = mysqli_query($conexion, "select * from detalle_fact_ordenes where id_producto='" . $id_producto . "' and id_factura='" . $id_factura . "' and sucursal_id='" . $sucursal_users . "'");

        if ($row = mysqli_fetch_array($comprobar)) {
            $cant = $row['cantidad'] + $cantidad;
            // condicion si el stock e menor que la cantidad requerida
            if ($cant > $stock and $inv == 0) {
                echo "<script>swal('LA CANTIDAD SUPERA AL STOCK!', 'INTENTAR NUEVAMENTE', 'error')
                                $('#resultados').load('../ajax/editar_tmp_cot.php');
            </script>";
            } else {

                $sql          = "UPDATE detalle_fact_ordenes SET cantidad='" . $cant . "' WHERE id_producto='" . $id_producto . "' and id_factura='" . $id_factura . "' and sucursal_id='" . $sucursal_users . "'";
                $query_update = mysqli_query($conexion, $sql);
                echo "<script> $.Notification.notify('warning','bottom center','NOTIFICACIÓN', 'PRODUCTO AGREGADO A LA DATA')</script>";
            }
            // fin codicion cantaidad

        } else {
            // condicion si el stock e menor que la cantidad requerida
            if ($cantidad > $stock and $inv == 0) {
                echo "<script>swal('LA CANTIDAD SUPERA AL STOCK!', 'INTENTAR NUEVAMENTE', 'error')
                    $('#resultados').load('../ajax/editar_tmp_ordenes.php');
            </script>";
            } else {

                $insert_tmp = mysqli_query($conexion, "INSERT INTO detalle_fact_ordenes (id_factura,numero_factura, id_producto,cantidad,precio_venta,sucursal_id) VALUES ('$id_factura','$numero_factura','$id_producto','$cantidad','$precio_venta','$sucursal_users','')");
                echo "<script> $.Notification.notify('warning','bottom center','NOTIFICACIÓN', 'PRODUCTO AGREGADO A LA DATA')</script>";
            }
            // fin codicion cantaidad
        }
    } else {
        $descripcion = $id;
        $desc  = 0;
        $insert_tmp = mysqli_query($conexion, "INSERT INTO detalle_fact_ordenes (id_factura,numero_factura, id_producto,cantidad,precio_venta,sucursal_id, descripcion_d) VALUES ('$id_factura','$numero_factura','99999','$cantidad','$precio','$sucursal_users','$descripcion')");
    }
}
if (isset($_GET['id'])) //codigo elimina un elemento del array
{
    $id_detalle = intval($_GET['id']);
    $id_prod    = get_row('detalle_fact_ordenes', 'id_producto', 'id_detalle', $id_detalle);
    $quantity   = get_row('detalle_fact_ordenes', 'cantidad', 'id_detalle', $id_detalle);
    $delete     = mysqli_query($conexion, "DELETE FROM detalle_fact_ordenes WHERE id_detalle='" . $id_detalle . "'");
}
$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
$pv             = get_row('perfil', 'precio_venta', 'id_perfil', 1);
if ($pv == 0) {
    $ok = 'disabled';
} else {
    $ok = '';
}
?>
<div class="table-responsive">
    <table class="table table-sm">
        <thead class="thead-default">
            <tr>
                <th class='text-center'>CANT.</th>
                <th class='text-center'>DESCRIP.</th>
                <th class='text-center'>PRECIO <?php echo $simbolo_moneda; ?></th>
                <th class='text-right'>TOTAL</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $impuesto       = get_row('perfil', 'impuesto', 'id_perfil', 1);
            $nom_impuesto   = get_row('perfil', 'nom_impuesto', 'id_perfil', 1);
            $sumador_total  = 0;
            $total_iva      = 0;
            $subtotal       = 0;
            $total_factura       = 0;
            $total_impuesto = 0;
            $tot            = 0;
            $sql            = mysqli_query($conexion, "select * from detalle_fact_ordenes where detalle_fact_ordenes.id_factura='$id_factura'");
            while ($row = mysqli_fetch_array($sql)) {
                $id_detalle      = $row["id_detalle"];
                $id_producto     = $row["id_producto"];
                $codigo_producto = $row['id_producto'];
                $cantidad        = $row['cantidad'];
                $desc_tmp        = $row['desc_venta'];
                $nombre_producto = $row['descripcion_d'];
                $precio_venta    = $row['precio_venta'];

                if ($nombre_producto == '') {
                    $nombre_producto = get_row('productos', 'nombre_producto', 'id_producto', $id_producto);
                    $codigo_producto = get_row('productos', 'codigo_producto', 'id_producto', $id_producto);
                }
                $precio_total   = $precio_venta * $cantidad;

                $sumador_total += $precio_total; //Sumador


                $subtotal = number_format($sumador_total, 2, '.', '');

                $total_iva = iva($precio_total);

                $total_impuesto += $total_iva;

            ?>
                <tr>
                    <td class='text-center' width="15%">
                        <input style=" background-color:#A9DFBF; border-radius: 5px; border: 1px solid #39c; text-align: center" type="text" class="form-control txt_cant" value="<?php echo $cantidad; ?>" id="<?php echo $id_detalle; ?>" onClick="this.select()">
                    </td>
                    <td style=" background-color:#FFAB91;"><?php echo $nombre_producto; ?></td>
                    <td class='text-center'>
                        <?php echo $simbolo_moneda . ' ' . number_format($precio_venta, 2); ?>
                    </td>
                    <td class='text-right'><?php echo $simbolo_moneda . ' ' . number_format($precio_total, 2); ?></td>
                    <td class='text-center'>
                        <a href="#" class='btn btn-danger btn-sm waves-effect waves-light' onclick="eliminar('<?php echo $id_detalle ?>')"><i class="fa fa-remove"></i>
                        </a>
                    </td>
                </tr>
            <?php

            }
            $precio_servicio        = get_row('facturas_ordenes', 'precio_servicio', 'id_factura', $id_factura);
            $total_factura = $subtotal;
            $update_fact = mysqli_query($conexion, "update facturas_ordenes set monto_factura='$total_factura' where id_factura='$id_factura'");

            ?>
            <tr>
                <td style="font-size: 20pt;" class='text-right' colspan=3><b>TOTAL <?php echo $simbolo_moneda; ?></b></td>
                <td style="font-size: 20pt; background: #F5B7B1;" class='text-right'><b><?php echo number_format($subtotal, 2); ?></b></td>
                <td></td>
            </tr>
        </tbody>
    </table>
</div>
<script>
    $(document).ready(function() {
        $('.txt_desc').off('blur');
        $('.txt_desc').on('blur', function(event) {
            var keycode = (event.keyCode ? event.keyCode : event.which);
            // if(keycode == '13'){
            id_detalle = $(this).attr("id");
            desc = $(this).val();
            //Inicia validacion
            if (isNaN(desc)) {
                $.Notification.notify('error', 'bottom center', 'ERROR', 'DIGITAR UN DESCUENTO VALIDO')
                $(this).focus();
                return false;
            }
            //Fin validacion
            $.ajax({
                type: "POST",
                url: "../ajax/editar_desc_cot2.php",
                data: "id_detalle=" + id_detalle + "&desc=" + desc,
                success: function(datos) {
                    $("#resultados").load("../ajax/editar_tmp_cot.php");
                    $.Notification.notify('success', 'bottom center', 'EXITO!', 'DESCUENTO ACTUALIZADO CORRECTAMENTE')
                }
            });
            // }
        });

        $(".employee_id").on("change", function(event) {
            id_detalle = $(this).attr("id");
            precio = $(this).val();
            $.ajax({
                type: "POST",
                url: "../ajax/editar_precio_cot2.php",
                data: "id_detalle=" + id_detalle + "&precio=" + precio,
                success: function(datos) {
                    $("#resultados").load("../ajax/editar_tmp_cot.php");
                    $.Notification.notify('success', 'bottom center', 'EXITO!', 'PRECIO ACTUALIZADO CORRECTAMENTE')
                }
            });
        });

        $(".txt_cant").on("blur", function(event) {
            id_detalle = $(this).attr("id");
            cant = $(this).val();
            //Inicia validacion
            if (isNaN(cant)) {
                $.Notification.notify('error', 'bottom center', 'ERROR', 'DIGITAR LA CANTIDAD')
                $(this).focus();
                return false;
            }
            $.ajax({
                type: "POST",
                url: "../ajax/editar_cant_ordenes2.php",
                data: "id_detalle=" + id_detalle + "&cant=" + cant,
                success: function(datos) {
                    $("#resultados").load("../ajax/editar_tmp_ordenes.php");
                    $.Notification.notify('success', 'bottom center', 'EXITO!', 'CANTIDAD ACTUALIZADA CORRECTAMENTE')
                }
            });
        });

    });
</script>